FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000658FL52.2 Subprogram FLUC (CONV)public2015-03-12 14:432016-08-18 10:43
ReporterFalk Reichbott 
Assigned ToTilo Eckert 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1 
Target Version5.1.13Fixed in Version5.1.13 
Summary0000658: Write converted data of FLUC direct with SSH to remote system
DescriptionA customer use secure copy (ssh scp) to copy data from USS to distributed systems. These data are currently converted with a lot of tools an own written programs. All these conversions can be done with FLUC in one step. The requirement is now, if FLAM can support also the last step, means the scp to the over platform.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000769)
Falk Reichbott (administrator)
2015-03-16 18:04

This requirement can be realised with the SSH SFTP interface. A integration in FIOBLK, FIOTXT and FIOREC is possible. A integration in FIOFL4 requires an own deticated User-IO (Device 8) in the FLAM4 kernel.The support for FLAMFILEs can be implemented later.

The senario of the customer use only FIOBLK to read and write open formats from and to remote systems. Means a extension of FIOBLK will be enoght in this case.

The directory support at read (wildcards) and write (creat directories) can also be exteneted with the integration of the SSH library.

Target revision for this support will be 5.1.7 (around september 2015)
(0001018)
Falk Reichbott (administrator)
2016-08-18 10:43

* The communication parameters can be specified via properties (net.ssh() object) or as part of the URL (see below)
* Supports public key (if no password given) or password authentication
* Record oriented datasets are written remotely like the record I/O works on Windows and Unix systems
* URL prefix: file='ssh://user:password@hostname:port//path/file.xxx' [^]
** The ssh:// prefix indicates remote access to via SSH
** The user is optional, the default is the current login user ID
*** e.g. name='ssh://:password@hostname/path/file.xxx' [^]
** You can use replacements in the connection parameter
*** e.g. file='ssh://<cuser>@hostname//~/myfile.txt [^]
**** <cuser> are replaced with lower case login user id
**** ~ are replaced with the local home directory, which must available also on host side in this case
** The password is optional, the default is public key authentication
*** e.g. name='ssh://hostname//path/file.*/?*/member.*' [^]
** The hostname is mandatory
** The port is optional, the default is 22
** Host and remote file path are separated by a slash
** Absolute paths require another slash (i.e. // after the hostname)
*** Otherwise, the path is relative to the current directory after login to the SSH server
* Currently FLAM4FILEs are not supported (special user I/O required, will be supported later)
* Static allocations (DD:NAME) are not supported with remote access
* All other kind of files (log, info, report, ....) except the invers command file used in the command syntax are also supported with SSH (URL only, no properties)
* Only files of the command line executer (configuration, properties, trace, inverse, ...) must be locally

- Issue History
Date Modified Username Field Change
2015-03-12 14:43 Falk Reichbott New Issue
2015-03-12 14:43 Falk Reichbott Status new => assigned
2015-03-12 14:43 Falk Reichbott Assigned To => Ulrich Schwab
2015-03-16 17:57 Falk Reichbott Summary Write converted data of FLUC direct to secure copy => Write converted data of FLUC direct with SSH to remote system
2015-03-16 17:57 Falk Reichbott Description Updated View Revisions
2015-03-16 18:04 Falk Reichbott Note Added: 0000769
2015-06-29 10:17 Falk Reichbott Target Version 5.2 => 5.1
2015-07-09 18:46 Falk Reichbott Target Version 5.1 => 5.1.09
2015-08-13 18:47 Falk Reichbott Target Version 5.1.09 => 5.1.11
2015-10-29 10:06 Falk Reichbott Assigned To Ulrich Schwab => Tilo Eckert
2015-12-07 08:29 Falk Reichbott Target Version 5.1.11 => 5.1.12
2016-05-12 18:44 Falk Reichbott Target Version 5.1.12 => 5.1.13
2016-08-18 10:43 Falk Reichbott Note Added: 0001018
2016-08-18 10:43 Falk Reichbott Status assigned => resolved
2016-08-18 10:43 Falk Reichbott Fixed in Version => 5.1.13
2016-08-18 10:43 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker